Loading...
Searching...
No Matches
XBit Struct Reference
Collaboration diagram for XBit:
[legend]

## Public Attributes

Entity | entity
int | byte_offset
enum xbit_type | type
char8 * | s1
char8 * | s2
Char * | S1
Char * | S2
int | i1
int | i2
Attribute | attributes
ElementDefinition | element_definition
int | nchildren
struct xbit * | parent
struct xbit ** | children

## Detailed Description

Definition at line 65 of file xmlparser.h.

## Member Data Documentation

## entity

Entity XBit::entity

Definition at line 66 of file xmlparser.h.

## byte_offset

int XBit::byte_offset

Definition at line 67 of file xmlparser.h.

## type

enum xbit_type XBit::type

Definition at line 68 of file xmlparser.h.

## s1

char8* XBit::s1

Definition at line 69 of file xmlparser.h.

## s2

char8 * XBit::s2

Definition at line 69 of file xmlparser.h.

## S1

Char* XBit::S1

Definition at line 70 of file xmlparser.h.

## S2

Char * XBit::S2

Definition at line 70 of file xmlparser.h.

## i1

int XBit::i1

Definition at line 71 of file xmlparser.h.

## i2

int XBit::i2

Definition at line 71 of file xmlparser.h.

## attributes

Attribute XBit::attributes

Definition at line 72 of file xmlparser.h.

## element_definition

ElementDefinition XBit::element_definition

Definition at line 73 of file xmlparser.h.

## nchildren

int XBit::nchildren

Definition at line 75 of file xmlparser.h.

## parent

struct xbit* XBit::parent

Definition at line 76 of file xmlparser.h.

## children

struct xbit** XBit::children

Definition at line 77 of file xmlparser.h.

The documentation for this struct was generated from the following file:

- include/rxp/xmlparser.h